Skip to main content
POST
[Beta] approve a counterparty address for a client

Authorizations

X-API-KEY
string
header
required

Authorization method required to allow user to access the api endpoints.

Path Parameters

client_entity_id
string
required

Body

application/json
address
string
required
network
string
required
counterparty_entity_id
string
beneficiary_name
string
Maximum string length: 200
beneficiary_type
object
label
string
Maximum string length: 128
external_ref
string
Maximum string length: 128

Response

counterparty_id
string
required

The approval link (client, network, address).

Example:

"3f0a3c1e-6b1d-5f2a-8e44-9a0b1c2d3e4f"

client_entity_id
string
required
Example:

"6859927c-292e-4077-8d6a-70542c00a267"

counterparty_entity_id
string | null
required
address
string
required
Example:

"0x8589427373d6d84e98730d7795d8f6f8731fda16"

network
string
required
Example:

"eth"

beneficiary_name
string
required
Example:

"Halvard Capital AG"

status
enum<string>
required

pending: not screened yet (screened about a minute after it was added, or by the next run when screening on add is off).

Available options:
clear,
flagged,
removed,
pending,
error
Example:

"clear"

checks
object[]
required
reasons
object[]
required
last_screened_at
string | null
required
case_id
string | null
required

The /v2/cases id of the open case its flag opened (source_type counterparty_screening).